<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<link rel="import" href="../../bower_components/paper-icon-button/paper-icon-button.html">
<link rel="import" href="../../bower_components/iron-icons/social-icons.html">

<dom-module id="dez-collab-mode-btn">
  <template>
    <style>
    </style>

    <paper-icon-button id="collabModeBtn" icon="social:group" title="collaborate mode [[_modeStatus]]" on-tap="_toggleCollab"></paper-icon-button>

  </template>

  <script>

  class DezCollabModeBtn extends Polymer.Element {

      static get is() { return 'dez-collab-mode-btn'; }

      get status () { return this._modeStatus }

      set status (value) {
        if (value == "on") {
          this.$.collabModeBtn.style = "color : white"
          this._modeStatus = "on"
        } else {
          this.$.collabModeBtn.style = "color: var(--paper-icon-button-disabled-text, var(--disabled-text-color))"
          this._modeStatus = "off"
        }
      }

      _toggleCollab () {
        if (this.status == "on") {
          this.status = "off"
        } else {
          this.status = "on"
        }
        this.dispatchEvent(new CustomEvent('collab-mode-' + this.status))
      }

      ready () {
        super.ready()
        this.status = "off"
      }

  }

  window.customElements.define(DezCollabModeBtn.is, DezCollabModeBtn);

  </script>
</dom-module>
